local modifier
local vector2 = require("#microsoft.xna.framework.vector2")
local coroutineEntity = monocle.Entity()

function onBegin()
	disableRetry()
	disableMovement()
	disablePause()

	wait(2.5)
	playSound("event:/ZKB_Sumber/SolarPurg_Alert")
	setFlag("redalert")
	wait(0.1)
	setFlag("redalert", false)
	wait(0.85)
	setFlag("redalert")
	wait(0.051)
	setFlag("redalert", false)
	wait(0.85)
	walk(-20)
end

function onEnd()
	enableRetry()
	enableMovement()
	enablePause()
end